# Command: MergeLists

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    MergeLists - merges sorted lists

Synopsis:

    array array	 MergeLists  -> array
      array array proc MergeLists  -> array

Examples:

      [1 3 5] [2 7] MergeLists -> [1 2 3 5 7]
      [[-9 1] [1 3] [4 5]]  [[3 2] [0 7]] {exch 1 get exch 1 get lt} MergeLists ->
      [[-9 1] [3 2] [1 3] [4 5] [0 7]]

Description:

      MergeLists is unlike Union which removes repeated elements and does
      not require the arguments to be sorted. However, the result of
      Union is also sorted. MergeLists does not appear in Mathematica V4.0,
      Union does.

References:

      [1] The Mathematica Book V4.0 "Union"

Author:

    Diesmann

FirstVersion:

    8.5.01

SeeAlso:

- Select
- Split

Source:

    /opt/conda/conda-bld/nest_1512421404550/work/nest-2.12.0/lib/sli/mathematica.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative